<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.BaseMaterialMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.BaseMaterial">
        <id column="id" property="id" />
        <result column="goods_num" property="goodsNum" />
        <result column="goods_name" property="goodsName" />
        <result column="warehouse_num" property="warehouseNum" />
        <result column="warehouse_name" property="warehouseName" />
        <result column="goods_type" property="goodsType" />
        <result column="goods_spec" property="goodsSpec" />
        <result column="goods_barcode" property="goodsBarcode" />
        <result column="unit" property="unit" />
        <result column="assistant_unit" property="assistantUnit" />
        <result column="conversion_value" property="conversionValue" />
        <result column="variety" property="variety" />
        <result column="goods_level" property="goodsLevel" />
        <result column="goods_status" property="goodsStatus" />
        <result column="goods_color" property="goodsColor" />
        <result column="goods_size" property="goodsSize" />
        <result column="product_type" property="productType" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
        <result column="remark1" property="remark1" />
        <result column="remark2" property="remark2" />
        <result column="remark3" property="remark3" />
        <result column="remark4" property="remark4" />
        <result column="remark5" property="remark5" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, goods_num, goods_name, warehouse_num, warehouse_name, goods_type, goods_spec, goods_barcode, unit, assistant_unit, conversion_value, variety, goods_level, goods_status, goods_color, goods_size, product_type, del_flag, create_by, create_time, update_by, update_time, remark, remark1, remark2, remark3, remark4, remark5
    </sql>

</mapper>
